# -*- coding: utf-8 -*-

from __future__ import division
from __future__ import print_function
from __future__ import unicode_literals

from django.conf.urls import url
from gestioncof.petits_cours_views import DemandeListView

export_patterns = [
    url(r'^members$', 'gestioncof.views.export_members'),
    url(r'^mega/avecremarques$', 'gestioncof.views.export_mega_remarksonly'),
    url(r'^mega/participants$', 'gestioncof.views.export_mega_participants'),
    url(r'^mega/orgas$', 'gestioncof.views.export_mega_orgas'),
    url(r'^mega/(?P<type>.+)$', 'gestioncof.views.export_mega_bytype'),
    url(r'^mega$', 'gestioncof.views.export_mega'),
]

petitcours_patterns = [
    url(r'^inscription$', 'gestioncof.petits_cours_views.inscription',
        name='petits-cours-inscription'),
    url(r'^demande$', 'gestioncof.petits_cours_views.demande',
        name='petits-cours-demande'),
    url(r'^demande-raw$', 'gestioncof.petits_cours_views.demande_raw',
        name='petits-cours-demande-raw'),
    url(r'^demandes$', DemandeListView.as_view(),
        name='petits-cours-demandes-list'),
    url(r'^demandes/(?P<demande_id>\d+)$',
        'gestioncof.petits_cours_views.details',
        name='petits-cours-demande-details'),
    url(r'^demandes/(?P<demande_id>\d+)/traitement$',
        'gestioncof.petits_cours_views.traitement',
        name='petits-cours-demande-traitement'),
    url(r'^demandes/(?P<demande_id>\d+)/retraitement$',
        'gestioncof.petits_cours_views.retraitement',
        name='petits-cours-demande-retraitement'),
]

surveys_patterns = [
    url(r'^(?P<survey_id>\d+)/status$', 'gestioncof.views.survey_status'),
    url(r'^(?P<survey_id>\d+)$', 'gestioncof.views.survey'),
]

events_patterns = [
    url(r'^(?P<event_id>\d+)$', 'gestioncof.views.event'),
    url(r'^(?P<event_id>\d+)/status$', 'gestioncof.views.event_status'),
]
